#!/bin/bash

# [CJ]

SRC=$1
DST=$2

if [ -z "${ONE_LOCATION}" ]; then
    TMCOMMON=/usr/lib/one/mads/tm_common.sh
else
    TMCOMMON=$ONE_LOCATION/lib/mads/tm_common.sh
fi

. $TMCOMMON

log "tm_clone.sh $*"

SRC_PATH=`arg_path $SRC`
SRC_PATH="$VM_DIR/images/`basename $SRC_PATH`"
SRC_HOST=`arg_host $SRC`
DST_PATH=`arg_path $DST`
DST_DIR=`dirname $DST_PATH`
DST_HOST=`arg_host $DST`

log "ssh $DST_HOST \"mkdir -p $DST_DIR && rm -f $DST_PATH && qemu-img create -b $SRC_PATH -f qcow2 $DST_PATH\""
ssh $DST_HOST "mkdir -p $DST_DIR && rm -f $DST_PATH && qemu-img create -b $SRC_PATH -f qcow2 $DST_PATH"
