#!/bin/bash

# [CJ]

SRC=$1

if [ -z "${ONE_LOCATION}" ]; then
    TMCOMMON=/usr/lib/one/mads/tm_common.sh
else
    TMCOMMON=$ONE_LOCATION/lib/mads/tm_common.sh
fi

. $TMCOMMON

log "tm_delete.sh $*"

SRC_PATH=`arg_path $SRC`
SRC_PATH=`dirname $SRC_PATH`
SRC_HOST=`arg_host $SRC`

# short sleep to ensure libvirt has released the disk
sleep 5

log "ssh $SRC_HOST \"rm -rf $SRC_PATH\""
ssh $SRC_HOST "rm -rf $SRC_PATH"
